# Deposit

## Callback notify deposit

<mark style="color:green;">`POST`</mark> `https://example.com/your-deposit-callback`

#### Headers

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| x-api-key<mark style="color:red;">\*</mark>   | String | api key     |
| x-signature<mark style="color:red;">\*</mark> | String | signature   |

#### Request Body

| Name                                            | Type           | Description                                           |
| ----------------------------------------------- | -------------- | ----------------------------------------------------- |
| timestamp<mark style="color:red;">\*</mark>     | String         | ISO Date                                              |
| successTime<mark style="color:red;">\*</mark>   | String         | ISO Date                                              |
| refId<mark style="color:red;">\*</mark>         | String, Unique | Ref ID                                                |
| transactionId<mark style="color:red;">\*</mark> | String, Unique | Transaction ID                                        |
| amount<mark style="color:red;">\*</mark>        | Number         | Amount                                                |
| payAmount<mark style="color:red;">\*</mark>     | Number         | Pay Amount                                            |
| fee<mark style="color:red;">\*</mark>           | Number         | Fee Amount                                            |
| method<mark style="color:red;">\*</mark>        | String         | Method (QR)                                           |
| extendParams                                    | Object         | Used for adding data to be sent back in the callback. |
| status<mark style="color:red;">\*</mark>        | String         | Transaction Status                                    |

#### Status

| Status | Description                       |
| ------ | --------------------------------- |
| PAID   | Deposit transaction is successful |

### Example Request

```json
{
  "timestamp": "2025-05-21T04:52:35.337Z",
  "refId": "ref_id",
  "transactionId": "transaction_id",
  "amount": 400,
  "payAmount": 400.06,
  "fee": 0,
  "method": "QR",
  "successTime": "2025-05-21T04:52:35.337Z",
  "extendParams": {},
  "status": "PAID"
}
```

### Expected response

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "code": 0,
    "msg": "Success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whalepay.one/api-document/callback/deposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
